#include <iostream>
#include <cstdlib>
#include <SFML/Graphics.hpp>
#include <SFML/System.hpp>

using namespace std;

struct Pixel {
    unsigned char r, g, b, a;
};

int main(int argc, char *argv[]) 
{
    sf::Image imagem;
    if (!imagem.loadFromFile("flower.jpg")) {
       // erro!
       cout << "Erro!" << endl;
       exit(1);
    }
 
    // Descobre o tamanho da imagem
    sf::Vector2u tam = imagem.getSize();
    int largura = tam.x;
    int altura  = tam.y;

    cout << largura << " x " << altura << endl;

    // A partir deste ponto, os pixels da imagem podem ser acessados através
    // do método imagem.getPixelsPtr() - consulte a documentação!
    const sf::Uint8* pixels = imagem.getPixelsPtr();
    Pixel* rgba = (Pixel*) pixels;

    // Acessando os valores do primeiro pixel (0,0):
    cout << (int) rgba[0].r << " " << (int) rgba[0].g << " " << (int) rgba[0].b << " " << (int) rgba[0].a << endl;
}
